=== debian/changelog ===
ghostscript (9.55.0~dfsg1-0ubuntu5) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:54:34 +0100

ghostscript (9.55.0~dfsg1-0ubuntu4) jammy; urgency=medium

  * Just mark all libtesseract symbols optional and be done with it.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 21:21:02 +0000

ghostscript (9.55.0~dfsg1-0ubuntu3) jammy; urgency=medium

  * Mark as optional various symbols which are leaked from the embedded
    tesseract library and are not part of the public API, and which are also
    arch-specific so causing build failures on non-x86.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 20:27:02 +0000

ghostscript (9.55.0~dfsg1-0ubuntu2) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - New re-packaging of Ghostscript 9.54.0, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
    - Updated debian/libgs9.symbols.

 -- Paride Legovini <paride@ubuntu.com>  Thu, 02 Dec 2021 12:39:37 +0100

ghostscript (9.55.0~dfsg-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix the logic for freeing X pixmap;
    really closes: bug#998888, thanks again to Florian Lindemann

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Nov 2021 15:46:45 +0100

ghostscript (9.55.0~dfsg-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix gx_default_copy_alpha calling get_bits_rectangle;
    closes: bug#1000710, thanks to Hilmar Preuße

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Nov 2021 11:07:05 +0100

ghostscript (9.55.0~dfsg1-0ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - New re-packaging of Ghostscript 9.54.0, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
  * Updated debian/libgs9.symbols.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 22 Nov 2021 18:24:56 +0100

ghostscript (9.55.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied;
    unfuzz patch 2009
  * update copyright info:
    + update coverage
    + tighten lintian overrides
  * update symbols:
    + 466 private symbols added
    + 76 private symbols dropped
  * add patches cherry-picked upstream:
    + avoid freeing the background pixmap created by gv;
      closes: bug#704709, thanks to Florian Lindemann
    + fix pdfwrite encoding bugs;
      closes: bug#998458, #998461, thanks to Vincent Lefevre

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Nov 2021 17:58:29 +0100

ghostscript (9.55.0~~rc1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream now applied
  * unfuzz patches
  * update copyright info: update coverage
  * add patch 1002 proposed upstream to fix build with gpdf
  * add patch 1003 to fix failure to link against lcms2

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Sep 2021 14:31:04 +0200

ghostscript (9.54.0~dfsg-5) unstable; urgency=medium

  * Revert to not mark /usr/share/ghostscript/* as not-installed:
    works but a clumsy approach
  * properly fix tracking installed files
    by expanding upstream ABI  in debhelper snippets
    (passing ABI-specific path dh_install options confuses dh_missing);
    thanks to Roderich Schupp (see bug#994270)
  * update symbols:
    + 20 private symbols added
    + 1 private symbol dropped

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Sep 2021 14:04:05 +0200

ghostscript (9.54.0~dfsg-4) experimental; urgency=medium

  * mark /usr/share/ghostscript/* as not-installed,
    which is clearly bogus but seems the only (simple) way
    to ignore only for arch-dependent builds;
    closes: bug#994270, thanks to Adrian Bunk

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Sep 2021 23:55:30 +0200

ghostscript (9.54.0~dfsg-3) experimental; urgency=medium

  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * build with pkgkde-symbolshelper;
    build-depend on pkg-kde-tools

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Sep 2021 14:55:10 +0200

ghostscript (9.54.0~dfsg-2) experimental; urgency=medium

  * copyright-check: improve progress messages
  * Merge 9.53.3~dfsg-8:
    + add patch cherry-picked upstream
      to fix access validationaccess validation;
      closes: bug#994011;
      CVE-2021-3781
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Sep 2021 20:41:03 +0200

ghostscript (9.53.3~dfsg-8) unstable; urgency=high

  * add patch cherry-picked upstream
    to fix access validationaccess validation;
    closes: bug#994011;
    CVE-2021-3781
  * Set urgency=high due to security fix.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Sep 2021 20:12:26 +0200
