## ghostscript 9.56.1~dfsg1

=== debian/changelog ===
ghostscript (9.56.1~dfsg1-0ubuntu3) kinetic; urgency=low

  * Added upstream patch (commit 387f094) for the CUPS/PWG/Apple Raster
    output device not to match custom page sizes against the sizes defined
    in the PPD file, to avoid unwished rotations or size adjustments.
    (cups-filters upstream issue #484).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 25 Sep 2022 10:26:00 +0200

ghostscript (9.56.1~dfsg1-0ubuntu2) kinetic; urgency=low

  * Added upstream patch (commit 2a54c67) to use stable memory for
    pdfi streams, to avoid double-free when "runpdfend" when done
    with a PDF interpreter started with "runpdfbegin". This caused the
    autopkgtest of xfig to fail (Upstream bugs #705855, #705836, #705210).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 08 Sep 2022 13:00:00 +0200

ghostscript (9.56.1~dfsg1-0ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - New re-packaging of Ghostscript 9.56.1, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
    - Just mark all libtesseract symbols optional and be done with it.
      They are also arch-specific so causing build failures on non-x86.
  * Added upstream patch (commit 1f876cf) to have Ghostscript's
    "cups"/"pwgraster"/"appleraster"/"urf" output devices support working
    fully PPD-less, allowing to supply all parameters by command line. This
    makes the transition to cups-filters 2.x in Ubuntu 23.04 easier.
  * Updated debian/libgs9.symbols.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 24 Aug 2022 22:00:00 +0200

ghostscript (9.56.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + fix text rendering mode 3 and pdfwrite;
      closes: bug#1009680, thanks to Paul Gevers and others

  [ Jonas Smedegaard ]
  * fix watch file
  * update symbols: 1 private symbol added

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Apr 2022 22:47:35 +0200

ghostscript (9.56.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop superfluous lintian overrides
  * New upstream version 9.56.0~dfsg
  * update symbols:
    + 56 private symbols added
    + 23 private symbols dropped
  * use semantic newlines in long descriptions

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Mar 2022 11:51:53 +0200

ghostscript (9.56.0~~rc2~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Mar 2022 09:09:26 +0100

ghostscript (9.56.0~~rc1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * update copyright info:
    + add Reference and improve Comment
      for files covered by project-wide terms
    + fix interpret unversioned GPL/LGPL to mean any version
    + use multiple separate License-Grant fields
      (not multiple texts in one field, delimited by [...]
      which is hard to distinguish when parsing by a machine)
    + sort License sections alphabetically
    + fix drop bogus Files section
      (likely due to a false positive in older licensecheck
      flagging the word Adobe as a license grant)
    + fix avoid complex shell globbing in file listings
      (leftover from pre-1.0 file format)
    + update coverage
  * update lintian overrides regarding license shortnames
  * tighten lintian overrides
  * drop patches cherry-picked upstream now applied
  * drop patch 1003 adopted upstream
  * drop patch 2009 obsoleted by upstream changes;
    stop have ghostscript-doc depend on libjs-jquery
  * update and unfuzz patches
  * update Maintainer and Vcs-* fields, and drop Uploaders:
    package now maintained in collaborative debian area of Salsa

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Mar 2022 21:47:41 +0100
