=== debian/control ===
Source: ghostscript
Section: text
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-linktree,
 fonts-urw-base35,
 freeglut3-dev,
 libcups2-dev [!kfreebsd-any],
 libcupsimage2-dev [!kfreebsd-any],
 libexpat-dev,
 libfontconfig1-dev,
 libfreetype-dev,
 libice-dev,
 libidn11-dev,
 libijs-dev,
 libjbig2dec0-dev (>= 0.19),
 libjpeg-dev,
 liblcms2-dev,
 libopenjp2-7-dev,
 libpaper-dev,
 libpng-dev,
 libsm-dev,
 libtiff-dev,
 libx11-dev,
 libxext-dev,
 libxt-dev,
 pkg-config,
 pkg-kde-tools,
 rename,
 zlib1g-dev:native,
Standards-Version: 4.6.0
Homepage: https://www.ghostscript.com/
Vcs-Git: https://salsa.debian.org/debian/ghostscript.git
Vcs-Browser: https://salsa.debian.org/debian/ghostscript
Rules-Requires-Root: no

Package: ghostscript
Architecture: any
Multi-Arch: foreign
Depends:
 libgs9 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ghostscript-x,
Provides:
 postscript-viewer,
Description: interpreter for the PostScript language and for PDF
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 Furthermore, it can render PostScript and PDF files as graphics
 to be printed on non-PostScript printers.
 Supported printers include common dot-matrix, inkjet and laser models.

Package: ghostscript-x
Architecture: any
Depends:
 ghostscript (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: interpreter for the PostScript language and for PDF - X11 support
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package contains the GPL Ghostscript output device for X11.

Package: ghostscript-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ghostscript,
Description: interpreter for the PostScript language and for PDF - Documentation
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package contains documentation for GPL Ghostscript,
 mainly targeted developers and advanced users.

Package: libgs9
Section: libs
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libgs9-common (= ${source:Version}),
 poppler-data,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: interpreter for the PostScript language and for PDF - Library
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package provides the Ghostscript library
 which makes the facilities of GPL Ghostscript available
 to applications.

Package: libgs9-common
Section: libs
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 fonts-droid-fallback,
Multi-Arch: foreign
Description: interpreter for the PostScript language and for PDF - common files
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package provides common architecture-independent files
 needed by the GPL Ghostscript library.
 .
 By default, GPL Ghostscript uses a font from the fonts-droid package
 to approximate glyphs in PDFs
 for which the requested CJK TrueType font is missing.
 If the fonts-droid package is not installed,
 these glyphs will be rendered as bullets.

Package: libgs-dev
Section: libdevel
Architecture: any
Depends:
 libgs9 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: interpreter for the PostScript language and for PDF - Development Files
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package provides the development files
 for the GPL Ghostscript library
 which makes the facilities of GPL Ghostscript available
 to applications.
